3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php print `ls`; ?>
Output for 5.5.24 - 5.6.28, 7.0.0 - 7.1.0
Output for hhvm-3.10.0 - 3.12.0
Failed to exec: `ls'
Output for 4.3.2 - 5.4.45
Warning: shell_exec(): Unable to execute 'ls' in /in/sCniW on line 2
Output for 4.3.0 - 4.3.1
Warning: shell_exec() [http://www.php.net/function.shell-exec]: Unable to execute 'ls' in /in/sCniW on line 2